.cryptocurrency {
  .content {
    display: flex;
    flex: 0 0 100%;
    flex-wrap: wrap;
    justify-content: center;

    h4 {
      text-align: center;
      width: 100%;
    }

    &.cryptocurrency-main a {
      color: $color-blue-violet;
    }
  }

  .btc-form {
    .btc-onion-link {
      text-align: center;
      width: 100%;
      display: block;
      margin-top: 17px;
    }
  }

  .intro-text-section {
    margin: 0 15px;
  }

  #cryptocurrency-form {
    margin: auto;
    max-width: 1024px;
  }

  .copy-button {
    background: url('../public/images/copy.svg') center / 12px 12px no-repeat;
    border: none;
    height: 43px;
    width: 43px;
    padding: 5px 5px 2px 5px;
    margin: 0;
    z-index: 100;
    &:focus {
      outline: none;
    }
  }

  .donate.button {
    background-color: $color-lime;
    color: $color-black;
    height: 50px;
    width: 300px;
  }

  .field-error {
    color: $color-red;
    font-size: 12px;
  }

  .form-column {
    margin-bottom: 20px;
    padding-left: 15px;
    padding-right: 15px;
    @include breakpoint($screen-m) {
      width: 50%;
    }
  }

  .form-fields {
    display: grid;
    grid-column-gap: 10px;
    grid-row-gap: 10px;
    grid-template-columns: [first] 1fr [second] 1fr [end];
    margin-top: 20px;

    @include breakpoint($screen-s) {
      grid-template-columns: [first] 1fr [second] 1fr [third] 1fr [fourth] 1fr [end];
    }
  }

  input {
    box-sizing: border-box;
    height: 43px;
    margin: 0;
    width: 100%;

    &[type=checkbox] {
      width: auto;
    }

    &[required] {
      border-color: $color-lime;
    }

    &.error {
      border-color: $color-red;
    }

    &[name=firstName] {
      grid-column: first / span 2;
    }

    &[name=lastName] {
      grid-column: first / end;

      @include breakpoint($screen-s) {
        grid-column-start: third;
      }
    }

    &[name=streetAddress] {
      grid-column: first / end;

      @include breakpoint($screen-s) {
        grid-column: first / fourth;
      }
    }

    &[name=extendedAddress] {
      grid-column-start: first;

      @include breakpoint($screen-s) {
        grid-column-start: fourth;
      }
    }

    &[name=locality] {
      grid-column: first / span 2;
    }

    &[name=postalCode] {
      grid-column: first / span 2;
    }

    &[name=email] {
      grid-column: first / end;
    }

    &[name=estimatedDonationDate] {
      @include breakpoint($screen-s) {
        grid-column: 3 / span 2;
      }
    }

    &[name=region] {
      grid-column: first / span 2;
      @include breakpoint($screen-s) {
        grid-column: third / span 2;
      }
    }
  }

  label[for=estimatedDonationDate] {
    align-self: center;
    grid-column: first;
    text-align: right;
    @include breakpoint($screen-s) {
      grid-column: first / span 2;
    }
  }

  .field-area.currencyAmount {
    grid-column: first / span 2;
    @include breakpoint($screen-s) {
      grid-column: third / span 2;
    }
  }

  .checkbox-row {
    display: flex;
    grid-column: first / end;
    align-items: center;

    input {
      margin-right: 5px;
    }
  }

  select {
    box-sizing: border-box;
    height: 43px;
    margin: 0;

    &[name=country] {
      grid-column: first / end;
    }

    &[name=region] {
      grid-column: first / span 2;
      @include breakpoint($screen-s) {
        grid-column: third / span 2;
      }
    }

    &[name=cryptocurrencyType] {
      grid-column: first / span 2;
      color: $color-black;
      border-color: $color-lime;
    }
  }

  .wallet-column {
    padding-left: 15px;
    padding-right: 15px;
    width: 100%;

    @include breakpoint($screen-m) {
      width: 50%;
    }

    ul {
      list-style-type: none;
      margin-top: 20px;
      padding: 0;
      width: 100%;
    }

    li {
      align-items: center;
      display: flex;
      margin-bottom: 10px;
      width: 100%;

      &:first-child {
        .wallet-id {
          border-top: solid 1px;
        }
      }
    }

    .currency-name {
      padding: 5px;
      width: 30%;
    }

    .wallet-id {
      font-family: $mono-font-family;
      padding: 5px;
      width: 60%;
    }
  }

  .section {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding: 10px;
  }

  .button-section {
    justify-content: center;
    margin-bottom: 20px;
    padding: 0;
    width: 100%;
  }
}
